datenklo(1)

NAME
datenklo - http://osmocom-analog.eversberg.eu/docs/

SYNOPSIS
datenklo [options] -M <mode>

-h --help

    This help

--config [~/]<path to config file>

    Give a config file to use. If it starts with '~/', path is at home dir. Each line in config file is one option, '-' or '--' must not be given!

-v --verbose <level> | <level>,<category>[,<category>[,...]] | list

    Use 'list' to get a list of all levels and categories. Verbose level: digit of debug level (default = '3') Verbose level+category: level digit followed by one or more categories -> If no category is specified, all categories are selected

-v --verbose date

    Show date with debug output

-T --am791x-type 7910 | 7911

    Give modem chip type. (Default = 7911)

-M --mc <mode>

    Give mode setting of AM7910/AM71911, use 'list' to list all modes.

-A --auto-rts

    Automatically rais and drop modem's RTS line for half duplex operation. TX data will be queued while remote carrier is detected.

-B --baudrate <RX rate> <TX rate>

    Given baud rate will override the baud rate given by ioctl. A baud rate of <= 150 Bps for TX and/or RX will attach TX and/or RX to the back channel instead of the main channel.

-D --device

    Device name. The prefix '/dev/ is automatically added, if not given. (default = '/dev/ttyDATENKLO0')

-S --stereo

    Generate two devices. One device connects to the left and the other to the right channel of the audio device. The device number in the device name is automatically increased by one. You must also define the mode twice. (-M <mode> -M <mode>)

-a --audio-device hw:<card>,<device>

    Sound card and device number (default = 'hw:0,0')

-s --samplerate <rate>

    Sample rate of sound device (default = '48000')

-b --buffer <ms>

    How many milliseconds are processed in advance (default = '50')

-l --loopback <type>

    Perform audio loopback to test modem. type 1: Audio from transmitter is fed into receiver (analog loopback) type 2: Audio is crossed between two modem instances. (use with -S)

--fast-math

    Use fast math approximation for slow CPU / ARM based systems.

--write-rx-wave <file>

    Write received audio to given wave file.

--write-tx-wave <file>

    Write transmitted audio to given wave file.

--read-rx-wave <file>

    Replace received audio by given wave file.

--read-tx-wave <file>

    Replace transmitted audio by given wave file.